--- title: "System health request" slug: "system-health-request-1" tags: ["Reference"] updated: 2026-09-03T18:40:43Z published: 2026-09-03T18:40:43Z canonical: "docs.trellix.com/system-health-request-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # System health request Returns the overall system health status. ``` GET https://
/wsapis/v2.0.0/health/system ``` Required headers: ``` X-FeApi-Token: [API-Token] X-FeClient-Token: [Client-Token] ``` Optional header: `Content-Type: application/json` ### Parameters None. ### Example request ``` GET https://xxx.xxx.xxx.xxx:443/wsapis/v2.0.0/health/system ``` Request headers: ``` X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx X-FeClient-Token: BigDataInc ``` ### System health response Line breaks have been added for readability. ``` HTTP/1.1 [Response Code] [Response Message] Date: [Date] {  "status": "string",  "timeStamp": "string",  "appliance": {    "model": "string",    "product": "string",    "dtiMode": "string",    "name": "string",    "domainName": "eng.fireeye.com",    "systemType": "string",    "mvxMode": "string",    "compositeVersion": "appliance n.n.n.nnnnnn #nnnnnndate hh:mm:ss x86_64 build@vta442:FireEye/nnnnn",    "edition": "edition",    "dtiEnabled": "Boolean",    "version": "appliance n.n.n.nnnnn",    "components": {      "upTime": {        "status": "status",        "upTimeDuration": "nnd nnh nnm nns",        "upTimeMilliSeconds": "int",        "name": "string"      },      "eula": {        "status": "status",        "accepted": "Boolean",        "acceptedTime": "string",        "name": "string"      },      "xxxxxLicense": {        "status": "status",        "perpetual": "string",        "name": "string",        "license": "string"      },      "temperature": {        "status": "status",        "high": "int",        "name": "string",        "currentTemp": "int",        "low": "int"      },      "fann": {        "status": "status",        "speed": "int"      },      "location": {        "status": "status",        "timezone": "xxx/UTC",        "utc_offset": "int",        "name": "string",        "geoLocation": "string"      },      "xxxxDisk": {        "status": "status",        "deviceName": "/dev/string",        "bytesTotal": "int",        "name": "string",        "bytesUsed": "int",        "fsType": "string",        "bytesAvail": "int",        "bytesFree": "int",        "percentFree": "int"      },      "raid": {        "status": "status",        "name": "string"      },      "address": {        "status": "status",        "hostName": "string",        "ipv6Enabled": "Boolean",        "domainName": ["domain-name"],        "ipv4": "addr"      },      "physicalDiskn": {        "status": "status",        "totalBytes": "int",        "name": "string",        "selfAssess": "string",        "diskStatus": "string"      },      "usb": {        "status": "status",        "mounted": "Boolean",        "name": "string"      },      "powerSupply": {        "status": "status",        "name": "string"      },      "systemSoftware": {        "status": "status",        "currentVersion": "8.3.0",        "name": "string"      }    },    "timezone": "xxx/UTC",    "serial": "string",    "customerId": "string",    "id": "string"  },  "messageType": "string",  "causeCode": "string",  "version": "version" } ``` ###### Response - Response Code—A standard HTML response code. - 200—Request successful. - 401—Request unsuccessful because the session token was invalid. - Response Message—A standard HTML response message. - OK—Request successful. - Unauthorized—Request unsuccessful because the session token was invalid. - Date—Standard HTML date format. ### cURL code sample: system health The following code sample can be copied and executed from any command-line interface that includes the cURL library. This sample builds on the authentication cURL code sample. ### Note In this sample, line breaks are added for readability. Remove these line breaks before you paste the code sample into your command-line tool. `curl -qgsSkH --no-progress-bar --header "X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" https://xxx.xxx.xxx.xxx:443/wsapis/v2.0.0/health/system` This cURL sample includes the following: - `-q`—This option specifies that the `curlrc` config file is not read or used. Although this is an optional setting, Trellix recommends that you include this option. - `-g`—This option turns off the URL globbing parser. Although this is an optional setting, Trellix recommends that you include this option. - `-s`—This option turns off the progress meter and error message. Although this is an optional setting, Trellix recommends that you include this option. - `-S`—When used with the `-s` option, this option shows error messages if your cURL switch fails. Although this is an optional setting, Trellix recommends that you include this option. - `-k`—This option explicitly allows cURL to perform insecure SSL connections and transfers. This allows you to test your SSL connection without installing a CA certificate. - `-H`—This option allows you to specify a custom header with the `--header` switch. - `--no-progress-bar`—This option suppresses the cURL download progress bar, which can interfere with the request. - `--header "X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"`—This custom header returns the API token that was provided during the authentication request. In the authentication cURL code sample, this token was included in the `auth.txt` file. Replace the token in the sample with the token value received in the response to your authentication request. ### Note By default, the X-FeApi-Token times out after 15 minutes of inactivity. - `https://xxx.xxx.xxx.xxx:443/wsapis/v2.0.0/health/system`—The system health request URL. Replace the IP address `xxx.xxx.xxx.xxx` with the IP address of your appliance. ###### Results This example returns a detailed report of the current system health. :